@ECHO OFF
REM Diese Batch-Datei fuehrt eine 
REM Legt ein Sicherungsmedium auf dem 
REM SQLExpress Server an.

REM Ein Sicherungsmedium ist die Voraussetzung
REM fuer eine erfolgreiche Datensicherung
REM ---------------------------------------------

REM Bitte nehmen Sie nach dieser Zeile keine Aenderungen mehr vor, 
REM ausser sie wissen genau was Sie tun!

@CALL config.cmd
SET pathtrue=no
IF NOT EXIST %Filepath% @ECHO %DATE%: Pfadangabe ist falsch! Oder wurde noch nicht angelegt!
IF NOT EXIST %Filepath% @ECHO %DATE%: Versuche %Filepath% anzulegen!
IF NOT EXIST %Filepath% SET pathtrue=yes
IF NOT EXIST %Filepath% @md %Filepath%
IF NOT EXIST %Filepath% GOTO Ende
IF %pathtrue%==yes @ECHO %DATE%: Der Pfad %Filepath% wurde angelegt!
@ECHO %DATE%: Es wird eine Sicherungsmedium auf %Server% mit der Instanz %Instance% angelegt.
@ECHO ---------------------------------------------

@ECHO %DATE%: Das AGVIP Sicherungmedium mit dem Namen %AGVIP-BackupSet% wird angelegt
sqlcmd -U "%user%" -P "%password%" -S "%Server%\%Instance%" -Q "EXEC sp_dropdevice '%AGVIP-BackupSet%'" >nul
@ECHO %DATE%: Medium %AGVIP-BackupSet% wird erzeugt.
sqlcmd -U "%user%" -P "%password%" -S "%Server%\%Instance%" -Q "EXEC sp_addumpdevice 'disk', '%AGVIP-BackupSet%','%Filepath%\AGVIPBackup.bak'"

REM Kleiner Hinweis fuer Anpassungen:
REM Die Zeilen fuer die Erzeugung von Backupmedien kann auf verschiedene Medien angepasst werden
REM So lautet Sie fuer Baender (1. Tape) z.B.
REM sqlcmd -U "%user%" -P "%password%" -S "%Server%\%Instance%" -Q "EXEC sp_addumpdevice 'tape', '%AGVIP-BackupSet%', '\\.\tape0'"
:Ende
