@ECHO OFF
REM Diese Batch-Datei fuehrt eine 
REM Wiederherstellung auf dem SQLExpress Server durch.
REM ---------------------------------------------

REM Bitte nehmen Sie nach dieser Zeile keine Aenderungen mehr vor, 
REM ausser sie wissen genau was Sie tun!

@CALL config.cmd
@ECHO %DATE%: Es wird eine Wiederherstellung durchgefuehrt
@ECHO ---------------------------------------------

@ECHO %DATE%: Die AGVIP (%AGVIPDB%) Datenbank wird wiederhergestellt
sqlcmd -U "%user%" -P "%password%" -S "%Server%\%Instance%" -Q "RESTORE DATABASE %AGVIPDB% FROM DISK = '%Filepath%\AGVIPBackup.bak'"
REM @ECHO %DATE%: Die der AGVIP-User (%AGVIPDB%) wird wiederhergestellt
REM sqlcmd -U "%user%" -P "%password%" -S "%Server%\%Instance%" -Q "RESTORE DATABASE %AGVIPDB% FROM DISK = '%Filepath%\AGVIPBackup.bak'"

REM Kleiner Hinweis fuer Anpassungen:
REM Die Zeilen fuer die Erzeugung von Backupmedien kann auf verschiedene Medien angepasst werden
REM So lautet Sie fuer Baender (1. Tape) z.B.
REM sqlcmd -U "%user%" -P "%password%" -S "%Server%\%Instance%" -Q "EXEC sp_addumpdevice 'tape', '%AGVIP-BackupSet%', '\\.\tape0'"
:Ende